List Payment Intents - Flex Documentation
List Payment Intents
cURL
curl --request GET \
--url https://api.withflex.com/v1/payment_intents \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/payment_intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/payment_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/payment_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/payment_intents")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/payment_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Example Responses
200
{
"payment_intents": [
{
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_capturable": 2500,
"amount_received": 2500,
"status": "canceled",
"created_at": "2026-06-15T14:30:00Z",
"capture_method": "automatic",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false,
"transfer_group": "example_value"
}
]
}
Error Responses
{
"code": "string",
"detail": "string"
}
Authorizations
- Authorization: Use a Bearer token to access this API.
Query Parameters
- expand: Comma-separated list of related objects to expand in the response.
- expand_customer: If true, expands the customer object in the response.
- customer: Filter by customer ID.
- checkout_session: Filter by checkout session ID.
- starting_after: A cursor for use in pagination.
- ending_before: A cursor for use in pagination.
- limit: A limit on the number of objects to be returned.
- offset: Number of objects to skip before returning results.
Response
- 200: An envelope wrapping a list of payment intent objects.